from PyQt5.QtWidgets import QWidget, QApplication
from frame.CompareWindow import CompareWin
from sys import argv
from parse.ast_load import global_ast_path, AstParse


tool = AstParse(global_ast_path)
print(tool.generate_time())
storys = tool.peak_storylines()
storys_2 = tool.peak_storylines()
defferent_list = tool.storylines_compare(storys, storys_2)

app = QApplication(argv)
win = CompareWin()
win.load_differents(defferent_list, storys, storys_2)
win.show()
app.exec()